Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Nuovo utente e problemi vari
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page Previous  1, 2, 3, 4, 5, 6  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 22, 2016 9:23 am    Post subject: Reply with quote

fedeliallalinea wrote:

Visto che usi openrc puoi mettere in /etc/portage/package.mask le seguenti linee
Code:
sys-apps/systemd
sys-fs/udev



Ciao, ho inserito quel codice, ora alla ricerca di aggiornamenti mi dice così
Code:
gentooBook martoo # emerge -DNu @world --verbose-conflicts
Calculating dependencies... done!
[ebuild  N     ] app-arch/lz4-0_p131  USE="{-test} -valgrind" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libbsd-0.8.2  USE="static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] sys-libs/cracklib-2.9.6-r1 [2.9.6]
[ebuild   R    ] app-arch/unzip-6.0_p20  USE="-natspec*"
[ebuild  N     ] media-libs/libmng-2.0.2-r1  USE="lcms static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] x11-proto/xproto-7.0.29 [7.0.28]
[ebuild     U  ] x11-proto/inputproto-2.3.2 [2.3.1]
[ebuild     U  ] x11-libs/pixman-0.34.0 [0.32.8] CPU_FLAGS_X86="mmxext* ssse3*"
[ebuild     U  ] x11-proto/videoproto-2.3.3 [2.3.2]
[ebuild     U  ] net-misc/curl-7.50.3 [7.50.2]
[ebuild     U  ] x11-libs/libXdmcp-1.1.2-r1 [1.1.2]
[ebuild     U  ] x11-libs/libxkbcommon-0.6.0 [0.5.0]
[ebuild     U  ] x11-libs/libXfixes-5.0.2 [5.0.1]
[ebuild     U  ] x11-libs/libXi-1.7.6 [1.7.5]
[ebuild     U  ] x11-apps/xkbcomp-1.3.1 [1.3.0]
[ebuild     U  ] x11-apps/xrandr-1.5.0 [1.4.3]
[ebuild   R    ] x11-apps/xdpyinfo-1.3.2  USE="-xinerama*"
[ebuild   R    ] x11-misc/dmenu-4.6  USE="-xinerama*"
[ebuild  NS    ] dev-qt/qtcore-4.8.6-r2 [5.6.1] USE="exceptions glib iconv qt3support ssl (-aqua) -debug -icu -pch" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-qt/qttranslations-4.8.6-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-qt/qtscript-4.8.6-r2  USE="exceptions jit (-aqua) -debug -pch" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-eselect/eselect-qtgraphicssystem-1.1.1
[ebuild  NS    ] dev-qt/qtgui-4.8.6-r4 [5.6.1] USE="accessibility cups exceptions glib mng qt3support tiff xv (-aqua) -debug -egl -gtkstyle -nas -nis -pch -trace -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] app-shells/bash-4.3_p46-r1 [4.3_p42-r1]
[ebuild  N     ] dev-qt/qtsql-4.8.6-r1  USE="exceptions qt3support sqlite (-aqua) -debug -freetds -mysql -oci8 -odbc -pch -postgres" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-qt/qt3support-4.8.6-r1  USE="accessibility exceptions (-aqua) -debug -pch" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] x11-libs/xcb-util-cursor-0.1.3-r1 [0.1.2]
[ebuild  N     ] dev-qt/qtscript-5.6.1  USE="jit -debug -scripttools {-test}"
[ebuild     U  ] dev-libs/libevdev-1.5.2 [1.4.4]
[ebuild     U  ] x11-misc/xkeyboard-config-2.17 [2.16]
[ebuild   R    ] net-libs/glib-networking-2.46.1  USE="-gnome*"
[ebuild  NS    ] app-text/docbook-xml-dtd-4.5-r1 [4.1.2-r6, 4.2-r2, 4.3-r1, 4.4-r2]
[ebuild   R    ] media-gfx/feh-2.9.3  USE="-xinerama*"
[ebuild  N     ] kde-frameworks/kf-env-3
[ebuild  N    #] sys-apps/systemd-226-r2  USE="acl kdbus kmod lz4 pam policykit seccomp ssl (-apparmor) -audit -cryptsetup -curl -elfutils -gcrypt -gnuefi -http -idn -importd -lzma -nat -qrcode (-selinux) -sysv-utils {-test} -vanilla -xkb" ABI_X86="(64) -32 (-x32)"
[ebuild   R    ] sys-apps/dbus-1.10.8-r1  USE="systemd*"
[ebuild  N     ] sys-apps/gentoo-systemd-integration-6
[ebuild  NS    ] dev-qt/qtdbus-4.8.6-r1 [5.6.1] USE="exceptions (-aqua) -debug -pch" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-qt/qtx11extras-5.6.1  USE="-debug {-test}"
[ebuild  N     ] kde-frameworks/kcoreaddons-5.23.0  USE="-debug (-fam) -nls {-test}"
[ebuild  N     ] kde-frameworks/kwidgetsaddons-5.23.0  USE="-debug -nls {-test}"
[ebuild  N     ] kde-frameworks/ki18n-5.23.0  USE="-debug {-test}" PYTHON_SINGLE_TARGET="python2_7 -python3_4 (-python3_5)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5)"
[ebuild  N     ] kde-frameworks/kwindowsystem-5.23.0  USE="X -debug -nls {-test}"
[ebuild  N     ] kde-frameworks/kconfig-5.23.0  USE="-debug -nls {-test}"
[ebuild  N     ] kde-frameworks/karchive-5.23.0-r1  USE="bzip2 lzma -debug {-test}"
[ebuild  N     ] kde-frameworks/kdbusaddons-5.23.0  USE="X -debug -nls {-test}"
[ebuild  N     ] kde-frameworks/kitemviews-5.23.0  USE="-debug -nls {-test}"
[ebuild  N     ] kde-frameworks/kguiaddons-5.23.0  USE="-debug {-test}"
[ebuild  N     ] kde-frameworks/kcodecs-5.23.0  USE="-debug -nls {-test}"
[ebuild  N     ] kde-frameworks/kcrash-5.23.0  USE="X -debug -nls {-test}"
[ebuild  N     ] kde-frameworks/kdoctools-5.23.0  USE="-debug {-test}"
[ebuild   R    ] x11-libs/gtk+-3.18.9  USE="-xinerama*"
[ebuild   R    ] x11-libs/gtk+-2.24.30  USE="-xinerama*"
[ebuild   R    ] media-libs/libcanberra-0.30-r5  USE="-gnome*"
[ebuild   R    ] virtual/notification-daemon-0  USE="-gnome*"
[ebuild   R    ] x11-terms/terminator-0.97-r1  USE="-debug*"
[ebuild   R    ] sys-auth/polkit-0.113  USE="kde*"
[ebuild  N     ] sys-auth/polkit-qt-0.112.0-r1  USE="qt4 qt5 -debug -examples"
[ebuild     U  ] sys-apps/openrc-0.21.7 [0.21.3]
[ebuild  N     ] kde-frameworks/kauth-5.23.0-r1  USE="policykit -debug -nls {-test}"
[ebuild  N     ] kde-frameworks/kconfigwidgets-5.23.0  USE="man -debug {-test}"
[ebuild  N     ] kde-frameworks/kiconthemes-5.23.0  USE="-debug {-test}"
[ebuild  N     ] kde-plasma/polkit-kde-agent-5.6.5  USE="-debug"
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/eudev-3.1.5)
[blocks B      ] sys-fs/eudev ("sys-fs/eudev" is blocking sys-apps/gentoo-systemd-integration-6)
[blocks B      ] sys-fs/eudev ("sys-fs/eudev" is blocking sys-apps/systemd-226-r2)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/eudev-3.1.5)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-fs/eudev-3.1.5:0/0::gentoo, installed) pulled in by
    >=sys-fs/eudev-1.3 required by (virtual/udev-215:0/0::gentoo, installed)
    >=sys-fs/eudev-1.3:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,static-libs?] (>=sys-fs/eudev-1.3:0/0[abi_x86_64(-),static-libs]) required by (virtual/libudev-215-r1:0/1::gentoo, installed)
    sys-fs/eudev required by @selected

  (sys-apps/systemd-226-r2:0/2::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-6:0/0::gentoo, ebuild scheduled for merge)
    sys-apps/systemd:0= required by (sys-apps/dbus-1.10.8-r1:0/0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by sys-apps/dbus-1.10.8-r1::gentoo[systemd]
# required by dev-qt/qtdbus-4.8.6-r1::gentoo
# required by sys-auth/polkit-qt-0.112.0-r1::gentoo[qt4]
# required by kde-frameworks/kauth-5.23.0-r1::gentoo[policykit]
# required by kde-frameworks/kconfigwidgets-5.23.0::gentoo
# required by kde-frameworks/kiconthemes-5.23.0::gentoo
# required by kde-plasma/polkit-kde-agent-5.6.5::gentoo
# required by sys-auth/polkit-0.113::gentoo[kde]
# required by @selected
# required by @world (argument)
# /etc/portage/package.mask/systemd:
=sys-apps/systemd-226-r2

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.


sempre i soliti pacchetti bloccati ed in più problemi con il blocco che gli ho dato a systemd
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 22, 2016 9:29 am    Post subject: Reply with quote

fedeliallalinea wrote:
zar Marco wrote:
Scusa la domanda banale ma package.mask è una directory. Io ho aggiunto quei due pacchetti creandoci un file dentro chiamandolo systemd, va bene?

Si tutti i /etc/portage/package.<qualcosa> possono essere o file o directory. Visto che la tua e' una directory la tua procedura e' corretta.

zar Marco wrote:
Chiedo perché dentro alla directory esistevano già libtool openrc e perl come file

Probabilmente e' stata l'opzione --autounmask di emerge a crearli. Comunque mi piace poco vedere un file come openrc in questa directory.
Potresti postare l'output di cat /etc/portage/package.mask/*?


questo è l'output
Code:
martoo@gentooBook /etc/portage/package.mask $ cat /etc/portage/package.mask/*
<sys-devel/libtool-2.4.3-r2
<sys-apps/openrc-0.13.0
<sys-process/procps-3.3.9-r2
<dev-lang/perl-5.18.0
#sys-apps/systemd
#sys-fs/udev




Last edited by zar Marco on Thu Sep 22, 2016 9:31 am; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Thu Sep 22, 2016 9:29 am    Post subject: Reply with quote

Posta un sia emerge --info sia emerge -DNut @world --verbose-conflicts
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 22, 2016 9:40 am    Post subject: Reply with quote

Allora emerge --info
Code:
gentooBook martoo # emerge --info
Portage 2.2.28 (python 2.7.10-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.3, glibc-2.22-r4, 4.4.6-gentoo x86_64)
=================================================================
System uname: Linux-4.4.6-gentoo-x86_64-Intel-R-_Core-TM-_i3_CPU_M_330_@_2.13GHz-with-gentoo-2.2
KiB Mem:     8016460 total,   3718208 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Thu, 22 Sep 2016 08:45:01 +0000
sh bash 4.3_p42-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42-r1::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3-r1::gentoo
dev-util/cmake:           3.5.2-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.21.3::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync10.de.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://gd.tuwien.ac.at/opsys/linux/gentoo/ http://gd.tuwien.ac.at/opsys/linux/gentoo/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://gentoo.imj.fr/pub/gentoo/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ rsync://mirror.eu.oneandone.net/gentoo/ http://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo"
LANG="it_IT.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi actl alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode eudev example exif fam firefox flac fortran gdbm gif glamor gpm gtk iconv introspection ipv6 jit jpeg kde lcms ldap libav libnotify mad mmx mmxext mng modules mozilla mp3 mp4 mpeg multilib ncurses networkmanager nmap nptl ogg opengl openmp pam pango pcre pdf plasma png policykit ppds qt3support qt5 readline sdl seccomp session spell sse sse2 ssl startup-notification static-lib static-libs svg tcpd test tiff truetype udev udisks unicode upower ursers usb vorbis wifi wpa_supplicant wxwidgets x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx sse sse2 sse3 3dnow 3dnowext avx avx2 fma3 fma4 mmxext sse4_1 sse4_2 ssse3 xop" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="it" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XFCE_PLUGINS="brightness clock trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


emerge -DNut @world --verbose-conflicts
Code:
gentooBook martoo # emerge -DNut @world --verbose-conflicts

These are the packages that would be merged, in reverse order:

Calculating dependencies -... done!


Exiting on signal 2
gentooBook martoo # emerge -DNut @world --verbose-conflicts

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] sys-auth/polkit-0.113  USE="kde*"
[ebuild  N     ]  kde-plasma/polkit-kde-agent-5.6.5  USE="-debug"
[ebuild  N     ]   kde-frameworks/kiconthemes-5.23.0  USE="-debug {-test}"
[ebuild  N     ]    kde-frameworks/kconfigwidgets-5.23.0  USE="man -debug {-test}"
[ebuild  N     ]     kde-frameworks/kauth-5.23.0-r1  USE="policykit -debug -nls {-test}"
[ebuild     U  ] sys-apps/openrc-0.21.7 [0.21.3]
[nomerge       ] kde-frameworks/kauth-5.23.0-r1  USE="policykit -debug -nls {-test}"
[nomerge       ]  kde-plasma/polkit-kde-agent-5.6.5  USE="-debug"
[ebuild  N     ]   sys-auth/polkit-qt-0.112.0-r1  USE="qt4 qt5 -debug -examples"
[ebuild   R    ]    sys-auth/polkit-0.113  USE="kde*"
[nomerge       ] gnome-extra/nm-applet-1.0.10
[nomerge       ]  net-wireless/gnome-bluetooth-3.18.3
[ebuild   R    ]   media-libs/libcanberra-0.30-r5  USE="-gnome*"
[nomerge       ] x11-base/xorg-x11-7.4-r2
[ebuild     U  ]  x11-apps/xrandr-1.5.0 [1.4.3]
[ebuild   R    ]  x11-apps/xdpyinfo-1.3.2  USE="-xinerama*"
[nomerge       ] net-misc/networkmanager-1.0.12-r1
[nomerge       ]  net-libs/libsoup-2.52.2
[ebuild   R    ]   net-libs/glib-networking-2.46.1  USE="-gnome*"
[ebuild   R    ] x11-misc/dmenu-4.6  USE="-xinerama*"
[ebuild   R    ] x11-terms/terminator-0.97-r1  USE="-debug*"
[ebuild   R    ] media-gfx/feh-2.9.3  USE="-xinerama*"
[nomerge       ] gnome-extra/nm-applet-1.0.10
[ebuild   R    ]  virtual/notification-daemon-0  USE="-gnome*"
[nomerge       ] x11-wm/i3-4.10.4
[ebuild     U  ]  x11-libs/xcb-util-cursor-0.1.3-r1 [0.1.2]
[nomerge       ] xfce-extra/xfce4-notifyd-0.2.4
[ebuild   R    ]  x11-libs/gtk+-2.24.30  USE="-xinerama*"
[nomerge       ] net-wireless/gnome-bluetooth-3.18.3
[ebuild   R    ]  x11-libs/gtk+-3.18.9  USE="-xinerama*"
[nomerge       ] kde-frameworks/kconfigwidgets-5.23.0  USE="man -debug {-test}"
[ebuild  N     ]  kde-frameworks/kdoctools-5.23.0  USE="-debug {-test}"
[ebuild  N     ]  kde-frameworks/kcodecs-5.23.0  USE="-debug -nls {-test}"
[ebuild  N     ]  kde-frameworks/kguiaddons-5.23.0  USE="-debug {-test}"
[nomerge       ] kde-frameworks/kiconthemes-5.23.0  USE="-debug {-test}"
[ebuild  N     ]  kde-frameworks/kitemviews-5.23.0  USE="-debug -nls {-test}"
[nomerge       ] kde-plasma/polkit-kde-agent-5.6.5  USE="-debug"
[ebuild  N     ]  kde-frameworks/kdbusaddons-5.23.0  USE="X -debug -nls {-test}"
[ebuild  N     ]  kde-frameworks/kcrash-5.23.0  USE="X -debug -nls {-test}"
[nomerge       ] kde-frameworks/kdoctools-5.23.0  USE="-debug {-test}"
[ebuild  N     ]  kde-frameworks/karchive-5.23.0-r1  USE="bzip2 lzma -debug {-test}"
[nomerge       ] kde-frameworks/kiconthemes-5.23.0  USE="-debug {-test}"
[ebuild  N     ]  kde-frameworks/kconfig-5.23.0  USE="-debug -nls {-test}"
[nomerge       ] kde-frameworks/kcrash-5.23.0  USE="X -debug -nls {-test}"
[ebuild  N     ]  kde-frameworks/kwindowsystem-5.23.0  USE="X -debug -nls {-test}"
[nomerge       ] kde-frameworks/kiconthemes-5.23.0  USE="-debug {-test}"
[ebuild  N     ]  kde-frameworks/ki18n-5.23.0  USE="-debug {-test}" PYTHON_SINGLE_TARGET="python2_7 -python3_4 (-python3_5)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5)"
[ebuild  N     ]  kde-frameworks/kwidgetsaddons-5.23.0  USE="-debug -nls {-test}"
[ebuild  N     ]  kde-frameworks/kcoreaddons-5.23.0  USE="-debug (-fam) -nls {-test}"
[nomerge       ] kde-frameworks/kauth-5.23.0-r1  USE="policykit -debug -nls {-test}"
[nomerge       ]  sys-auth/polkit-qt-0.112.0-r1  USE="qt4 qt5 -debug -examples"
[ebuild  NS    ]   dev-qt/qtdbus-4.8.6-r1 [5.6.1] USE="exceptions (-aqua) -debug -pch" ABI_X86="(64) -32 (-x32)"
[nomerge       ] kde-frameworks/kcrash-5.23.0  USE="X -debug -nls {-test}"
[ebuild  N     ]  dev-qt/qtx11extras-5.6.1  USE="-debug {-test}"
[nomerge       ] sys-apps/dbus-1.10.8-r1  USE="systemd*"
[nomerge       ]  sys-apps/systemd-226-r2  USE="acl kdbus kmod lz4 pam policykit seccomp ssl (-apparmor) -audit -cryptsetup -curl -elfutils -gcrypt -gnuefi -http -idn -importd -lzma -nat -qrcode (-selinux) -sysv-utils {-test} -vanilla -xkb" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]   sys-apps/gentoo-systemd-integration-6
[ebuild   R    ]   sys-apps/dbus-1.10.8-r1  USE="systemd*"
[ebuild  N     ]    sys-apps/systemd-226-r2  USE="acl kdbus kmod lz4 pam policykit seccomp ssl (-apparmor) -audit -cryptsetup -curl -elfutils -gcrypt -gnuefi -http -idn -importd -lzma -nat -qrcode (-selinux) -sysv-utils {-test} -vanilla -xkb" ABI_X86="(64) -32 (-x32)"
[ebuild  NS    ]     app-text/docbook-xml-dtd-4.5-r1 [4.1.2-r6, 4.2-r2, 4.3-r1, 4.4-r2]
[nomerge       ] kde-plasma/polkit-kde-agent-5.6.5  USE="-debug"
[nomerge       ]  kde-frameworks/ki18n-5.23.0  USE="-debug {-test}" PYTHON_SINGLE_TARGET="python2_7 -python3_4 (-python3_5)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5)"
[ebuild  N     ]   kde-frameworks/kf-env-3
[nomerge       ] x11-base/xorg-drivers-1.18-r1
[nomerge       ]  x11-drivers/xf86-input-evdev-2.10.3
[ebuild     U  ]   dev-libs/libevdev-1.5.2 [1.4.4]
[nomerge       ] x11-apps/setxkbmap-1.3.1
[ebuild     U  ]  x11-misc/xkeyboard-config-2.17 [2.16]
[nomerge       ] kde-frameworks/kconfigwidgets-5.23.0  USE="man -debug {-test}"
[nomerge       ]  kde-frameworks/ki18n-5.23.0  USE="-debug {-test}" PYTHON_SINGLE_TARGET="python2_7 -python3_4 (-python3_5)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5)"
[ebuild  N     ]   dev-qt/qtscript-5.6.1  USE="jit -debug -scripttools {-test}"
[nomerge       ] sys-auth/polkit-qt-0.112.0-r1  USE="qt4 qt5 -debug -examples"
[nomerge       ]  dev-qt/qtgui-4.8.6-r4 [5.6.1] USE="accessibility cups exceptions glib mng qt3support tiff xv (-aqua) -debug -egl -gtkstyle -nas -nis -pch -trace -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]   dev-qt/qt3support-4.8.6-r1  USE="accessibility exceptions (-aqua) -debug -pch" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]    dev-qt/qtsql-4.8.6-r1  USE="exceptions qt3support sqlite (-aqua) -debug -freetds -mysql -oci8 -odbc -pch -postgres" ABI_X86="(64) -32 (-x32)"
[ebuild     U  ] app-shells/bash-4.3_p46-r1 [4.3_p42-r1]
[nomerge       ] dev-qt/qt3support-4.8.6-r1  USE="accessibility exceptions (-aqua) -debug -pch" ABI_X86="(64) -32 (-x32)"
[ebuild  NS    ]  dev-qt/qtgui-4.8.6-r4 [5.6.1] USE="accessibility cups exceptions glib mng qt3support tiff xv (-aqua) -debug -egl -gtkstyle -nas -nis -pch -trace -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]   app-eselect/eselect-qtgraphicssystem-1.1.1
[ebuild  N     ]   dev-qt/qtscript-4.8.6-r2  USE="exceptions jit (-aqua) -debug -pch" ABI_X86="(64) -32 (-x32)"
[nomerge       ] dev-qt/qtscript-4.8.6-r2  USE="exceptions jit (-aqua) -debug -pch" ABI_X86="(64) -32 (-x32)"
[nomerge       ]  dev-qt/qtcore-4.8.6-r2 [5.6.1] USE="exceptions glib iconv qt3support ssl (-aqua) -debug -icu -pch" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]   dev-qt/qttranslations-4.8.6-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  NS    ]    dev-qt/qtcore-4.8.6-r2 [5.6.1] USE="exceptions glib iconv qt3support ssl (-aqua) -debug -icu -pch" ABI_X86="(64) -32 (-x32)"
[nomerge       ] net-p2p/transmission-remote-gtk-1.1.1
[ebuild     U  ]  net-misc/curl-7.50.3 [7.50.2]
[nomerge       ] xfce-base/xfce4-meta-4.12
[nomerge       ]  xfce-base/xfce4-settings-4.12.0
[nomerge       ]   x11-libs/libxklavier-5.3
[nomerge       ]    x11-misc/xkeyboard-config-2.17 [2.16]
[ebuild     U  ]     x11-apps/xkbcomp-1.3.1 [1.3.0]
[nomerge       ] x11-wm/i3-4.10.4
[ebuild     U  ]  x11-libs/libxkbcommon-0.6.0 [0.5.0]
[nomerge       ] x11-base/xorg-x11-7.4-r2
[nomerge       ]  x11-apps/xvinfo-1.1.3
[nomerge       ]   x11-libs/libXv-1.0.10
[ebuild     U  ]    x11-proto/videoproto-2.3.3 [2.3.2]
[nomerge       ] xfce-base/xfce4-meta-4.12
[nomerge       ]  xfce-base/xfce4-session-4.12.1
[nomerge       ]   x11-misc/xscreensaver-5.34
[ebuild     U  ]    x11-libs/libXi-1.7.6 [1.7.5]
[ebuild     U  ]     x11-libs/libXfixes-5.0.2 [5.0.1]
[nomerge       ] sys-apps/dbus-1.10.8-r1  USE="systemd*"
[nomerge       ]  app-text/xmlto-0.0.26-r1
[nomerge       ]   virtual/w3m-0
[nomerge       ]    www-client/w3m-0.5.3-r5
[ebuild     U  ]     x11-libs/libXdmcp-1.1.2-r1 [1.1.2]
[nomerge       ] app-text/ghostscript-gpl-9.15-r1
[nomerge       ]  net-print/cups-2.1.3-r1
[nomerge       ]   net-print/cups-filters-1.5.0
[nomerge       ]    app-text/poppler-0.45.0
[nomerge       ]     x11-libs/cairo-1.14.6
[ebuild     U  ]      x11-libs/pixman-0.34.0 [0.32.8] CPU_FLAGS_X86="mmxext* ssse3*"
[nomerge       ] x11-libs/libxklavier-5.3
[nomerge       ]  x11-libs/libXi-1.7.6 [1.7.5]
[ebuild     U  ]   x11-proto/inputproto-2.3.2 [2.3.1]
[ebuild     U  ]   x11-proto/xproto-7.0.29 [7.0.28]
[nomerge       ] kde-frameworks/kdoctools-5.23.0  USE="-debug {-test}"
[nomerge       ]  app-text/docbook-xml-dtd-4.5-r1 [4.1.2-r6, 4.2-r2, 4.3-r1, 4.4-r2]
[ebuild   R    ]   app-arch/unzip-6.0_p20  USE="-natspec*"
[nomerge       ] dev-qt/qtdbus-4.8.6-r1 [5.6.1] USE="exceptions (-aqua) -debug -pch" ABI_X86="(64) -32 (-x32)"
[nomerge       ]  dev-qt/qtcore-4.8.6-r2 [5.6.1] USE="exceptions glib iconv qt3support ssl (-aqua) -debug -icu -pch" ABI_X86="(64) -32 (-x32)"
[nomerge       ]   dev-qt/qtgui-4.8.6-r4 [5.6.1] USE="accessibility cups exceptions glib mng qt3support tiff xv (-aqua) -debug -egl -gtkstyle -nas -nis -pch -trace -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]    media-libs/libmng-2.0.2-r1  USE="lcms static-libs" ABI_X86="(64) -32 (-x32)"
[nomerge       ] x11-libs/libxcb-1.12
[nomerge       ]  x11-libs/libXdmcp-1.1.2-r1 [1.1.2]
[ebuild  N     ]   dev-libs/libbsd-0.8.2  USE="static-libs" ABI_X86="(64) -32 (-x32)"
[nomerge       ] virtual/shadow-0
[nomerge       ]  sys-apps/shadow-4.1.5.1-r1
[ebuild     U  ]   sys-libs/cracklib-2.9.6-r1 [2.9.6]
[nomerge       ] sys-apps/gentoo-systemd-integration-6
[nomerge       ]  sys-apps/systemd-226-r2  USE="acl kdbus kmod lz4 pam policykit seccomp ssl (-apparmor) -audit -cryptsetup -curl -elfutils -gcrypt -gnuefi -http -idn -importd -lzma -nat -qrcode (-selinux) -sysv-utils {-test} -vanilla -xkb" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]   app-arch/lz4-0_p131  USE="{-test} -valgrind" ABI_X86="(64) -32 (-x32)"
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/eudev-3.1.5)
[blocks B      ] sys-fs/eudev ("sys-fs/eudev" is blocking sys-apps/systemd-226-r2)
[blocks B      ] sys-fs/eudev ("sys-fs/eudev" is blocking sys-apps/gentoo-systemd-integration-6)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/eudev-3.1.5)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-fs/eudev-3.1.5:0/0::gentoo, installed) pulled in by
    >=sys-fs/eudev-1.3 required by (virtual/udev-215:0/0::gentoo, installed)
    >=sys-fs/eudev-1.3:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,static-libs?] (>=sys-fs/eudev-1.3:0/0[abi_x86_64(-),static-libs]) required by (virtual/libudev-215-r1:0/1::gentoo, installed)
    sys-fs/eudev required by @selected

  (sys-apps/systemd-226-r2:0/2::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-6:0/0::gentoo, ebuild scheduled for merge)
    sys-apps/systemd:0= required by (sys-apps/dbus-1.10.8-r1:0/0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Thu Sep 22, 2016 9:50 am    Post subject: Reply with quote

In package.use devi avere una entry che forza la use flag systemd al pacchetto dbus. Per controllare puoi usare questo comando se package.use e' una directory
Code:
$ grep systemd /etc/portage/package.use/*

oppure se e' un file
Code:
$ grep systemd /etc/portage/package.use

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 22, 2016 9:56 am    Post subject: Reply with quote

Ok, mi da questo
Code:
martoo@gentooBook ~ $ grep systemd /etc/portage/package.use/*
/etc/portage/package.use/iputils:# required by sys-apps/systemd-226-r2::gentoo
/etc/portage/package.use/iputils:# required by sys-apps/gentoo-systemd-integration-6::gentoo
/etc/portage/package.use/iputils:>=sys-apps/dbus-1.10.8-r1 systemd

mi sa che c'hai proprio ragione
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Thu Sep 22, 2016 10:01 am    Post subject: Reply with quote

zar Marco wrote:
Ok, mi da questo
Code:
martoo@gentooBook ~ $ grep systemd /etc/portage/package.use/*
/etc/portage/package.use/iputils:# required by sys-apps/systemd-226-r2::gentoo
/etc/portage/package.use/iputils:# required by sys-apps/gentoo-systemd-integration-6::gentoo
/etc/portage/package.use/iputils:>=sys-apps/dbus-1.10.8-r1 systemd

mi sa che c'hai proprio ragione

Rimuovi quella linea e tutto dovrebbe andare a posto
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 22, 2016 10:06 am    Post subject: Reply with quote

fedeliallalinea wrote:
zar Marco wrote:
Ok, mi da questo
Code:
martoo@gentooBook ~ $ grep systemd /etc/portage/package.use/*
/etc/portage/package.use/iputils:# required by sys-apps/systemd-226-r2::gentoo
/etc/portage/package.use/iputils:# required by sys-apps/gentoo-systemd-integration-6::gentoo
/etc/portage/package.use/iputils:>=sys-apps/dbus-1.10.8-r1 systemd

mi sa che c'hai proprio ragione

Rimuovi quella linea e tutto dovrebbe andare a posto

tutte e tre o solo l'ultima? cosa che credo :D
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Thu Sep 22, 2016 10:18 am    Post subject: Reply with quote

zar Marco wrote:
tutte e tre o solo l'ultima? cosa che credo :D

Si, le prime due sono commenti che ti dicono chi ha bisogno quella use flag.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 22, 2016 10:21 am    Post subject: Reply with quote

ok eliminata, ora provo ad aggiornare.
Comunque entrando in quel file erano molto piu' di quelle tre righe

edit

grazie mille, eliminando quella riga ora l'aggiornamento è partito
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Thu Sep 22, 2016 10:36 am    Post subject: Reply with quote

zar Marco wrote:
ok eliminata, ora provo ad aggiornare.
Comunque entrando in quel file erano molto piu' di quelle tre righe

Si puo' darsi il comando grep ti fa vedere solo le linee della parola che stai cercando (nel tuo caso systemd)
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 22, 2016 10:44 am    Post subject: Reply with quote

ok, ora so dove guardare in caso di problemi
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Wed Sep 28, 2016 8:04 pm    Post subject: Reply with quote

Ciao, sono di nuovo qui, ho un problema in aggiornamenti ed in installazioni, sia che vada ad aggiornare, mi trova 400 pacchetti, dei quali 395 con la R, sia che installi cose nuove tipo Spotify mi esce come nel link http://pastebin.com/x0zDD0kT http://pastebin.com/53ApF1m0
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Wed Sep 28, 2016 8:25 pm    Post subject: Reply with quote

Posta un emerge -uDNt @world per capire perche' di tutti quei rebuild.
Per vlc c'e' un bug aperto per quel problema.
Per gnome-mime-data sembrerebbe che ti manca il pacchetto dev-perl/XML-Parser, ma non capisco perche'.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Wed Sep 28, 2016 8:42 pm    Post subject: Reply with quote

Ora non ho il PC, domani posto, comunque il pacchetto gnome mime l'ho erroneamente eliminato io, non riesco a reinstallarlo, mentre quello di vlc mi blocca Phonon
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Thu Sep 29, 2016 5:43 am    Post subject: Reply with quote

zar Marco wrote:
Ora non ho il PC, domani posto, comunque il pacchetto gnome mime l'ho erroneamente eliminato io, non riesco a reinstallarlo, mentre quello di vlc mi blocca Phonon

Per vlc devi creare on overlay locale e poi aggiungere l'ebuild proposto nel bug. Se hai problemi fai sapere.
Per l'altro dovresti provare prima ad installare il pacchetto dev-perl/XML-Parser, che come gia' detto non capisco come mai tu non l'abbia, quindi dai il comando:
Code:
# emerge -1a dev-perl/XML-Parser
# emerge -1a gnome-mime-data

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 29, 2016 1:13 pm    Post subject: Reply with quote

fedeliallalinea wrote:
zar Marco wrote:
Ora non ho il PC, domani posto, comunque il pacchetto gnome mime l'ho erroneamente eliminato io, non riesco a reinstallarlo, mentre quello di vlc mi blocca Phonon

Per vlc devi creare on overlay locale e poi aggiungere l'ebuild proposto nel bug. Se hai problemi fai sapere.
Per l'altro dovresti provare prima ad installare il pacchetto dev-perl/XML-Parser, che come gia' detto non capisco come mai tu non l'abbia, quindi dai il comando:
Code:
# emerge -1a dev-perl/XML-Parser
# emerge -1a gnome-mime-data


ok, sono riuscito ad installare XML-PARSER e gnome-mime-data, ma non mi è chiaro il procedimento per creare i local overlay. Mi blocco proprio all'inizio :(
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Thu Sep 29, 2016 4:17 pm    Post subject: Reply with quote

zar Marco wrote:
ok, sono riuscito ad installare XML-PARSER e gnome-mime-data, ma non mi è chiaro il procedimento per creare i local overlay. Mi blocco proprio all'inizio :(

Beh come da guida, mettiamo che il tuo overlay lo chiami zar_marco
Code:
# mkdir -p /usr/local/portage/{metadata,profiles}
# echo 'zar_marco' > /usr/local/portage/profiles/repo_name
# echo 'masters = gentoo' > /usr/local/portage/metadata/layout.conf
# chown -R portage:portage /usr/local/portage
# mkdir -p /etc/portage/repos.conf
# touch /etc/portage/repos.conf/local.conf

a questo punto editi il file /etc/portage/repos.conf/local.conf e inserisci
Code:
[zar_marco]
location = /usr/local/portage
masters = gentoo
auto-sync = no

Ora hai creato il tuo overlay locale con il nome zar_marco. Ora bisogna aggiungere l'ebuild che risolve il tuo problema:
Code:
# mkdir -p /usr/local/portage/media-video/vlc/files
# cd /usr/local/portage/media-video/vlc
# wget https://bugs.gentoo.org/attachment.cgi?id=445422 -O vlc-2.2.4-r1.ebuild
# cd files/
# cp /usr/portage/media-video/vlc/files/* .
# wget https://bugs.gentoo.org/attachment.cgi?id=445420 -O vlc-2.2.4-fix-libav-compile.patch
# chown -R portage:portage /usr/local/portage
# pushd /usr/local/portage/media-video/vlc
# repoman manifest
# popd
# emerge --ask --verbose --oneshot media-video/vlc::zar_marco

Non sono sicuro che ho fatto tutto correttamente :P .
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 29, 2016 5:14 pm    Post subject: Reply with quote

fedeliallalinea wrote:
zar Marco wrote:
ok, sono riuscito ad installare XML-PARSER e gnome-mime-data, ma non mi è chiaro il procedimento per creare i local overlay. Mi blocco proprio all'inizio :(

Beh come da guida, mettiamo che il tuo overlay lo chiami zar_marco
Code:
# mkdir -p /usr/local/portage/{metadata,profiles}
# echo 'zar_marco' > /usr/local/portage/profiles/repo_name
# echo 'masters = gentoo' > /usr/local/portage/metadata/layout.conf
# chown -R portage:portage /usr/local/portage
# mkdir -p /etc/portage/repos.conf
# touch /etc/portage/repos.conf/local.conf

a questo punto editi il file /etc/portage/repos.conf/local.conf e inserisci
Code:
[zar_marco]
location = /usr/local/portage
masters = gentoo
auto-sync = no

Ora hai creato il tuo overlay locale con il nome zar_marco. Ora bisogna aggiungere l'ebuild che risolve il tuo problema:
Code:
# mkdir -p /usr/local/portage/media-video/vlc/files
# cd /usr/local/portage/media-video/vlc
# wget https://bugs.gentoo.org/attachment.cgi?id=445422 -O vlc-2.2.4-r1.ebuild
# cd files/
# cp /usr/portage/media-video/vlc/files/* .
# wget https://bugs.gentoo.org/attachment.cgi?id=445420 -O vlc-2.2.4-fix-libav-compile.patch
# chown -R portage:portage /usr/local/portage
# pushd /usr/local/portage/media-video/vlc
# repoman manifest
# popd
# emerge --ask --verbose --oneshot media-video/vlc::zar_marco

Non sono sicuro che ho fatto tutto correttamente :P .


Dove Metadata, profile è media-video/vlc? Oppure media-video, vlc? Volendo l'overlay posso chiamarlo proprio come voglio? Anche marco?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Thu Sep 29, 2016 5:30 pm    Post subject: Reply with quote

zar Marco wrote:
Dove Metadata, profile è media-video/vlc? Oppure media-video, vlc? Volendo l'overlay posso chiamarlo proprio come voglio? Anche marco?

Puoi spiegarti meglio indicandomi il comando? Cmq credo di no, dovresti fare giusto queli comandi cosi' come sono.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 29, 2016 5:53 pm    Post subject: Reply with quote

In pratica faccio copia incolla di quello che mi hai scritto, ho provato, l'unica cosa che non riesce è repoman, mq credo sia un Tool da installare
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22013
Location: here

PostPosted: Thu Sep 29, 2016 6:05 pm    Post subject: Reply with quote

zar Marco wrote:
In pratica faccio copia incolla di quello che mi hai scritto, ho provato, l'unica cosa che non riesce è repoman, mq credo sia un Tool da installare

Puoi anche, al posto del comando repoman, fare
Code:
# ebuild /usr/local/portage/media-video/vlc/vlc-2.2.4-r1.ebuild manifest

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 29, 2016 7:08 pm    Post subject: Reply with quote

sta emergendo vlc, speriamo bene ;-D poi riprovo un emerge -DuN @world
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Thu Sep 29, 2016 9:17 pm    Post subject: Reply with quote

VLC installato, ora sta reinstallando tipo 360 pacchetti
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 416
Location: Colle Umberto ( TV )

PostPosted: Fri Sep 30, 2016 4:10 pm    Post subject: Reply with quote

ok, sta ancora aggiornando, appreso che le use con l'asterisco, che causano la ricompilazione sono quelle aggiunte dopo, se le tolgo cosa succede?
Code:
gentooBook martoo # emerge -uDavN @world --verbose-conflicts

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS    ] sys-kernel/gentoo-sources-4.4.21:4.4.21::gentoo [4.4.6:4.4.6::gentoo] USE="-build -experimental -symlink" 0 KiB
[ebuild     U  ] kde-plasma/kde-cli-tools-5.6.5-r1:5::gentoo [5.6.5:5::gentoo] USE="X debug handbook kdesu {-test}" 0 KiB
[ebuild     U  ] net-misc/openssh-7.3_p1-r6::gentoo [7.2_p2-r1::gentoo] USE="X debug hpn* ldap pam pie ssl -X509 -bindist -kerberos -ldns -libedit (-libressl) -livecd -sctp (-selinux) -skey -ssh1 -static {-test%}" 0 KiB
[ebuild   R    ] kde-plasma/khotkeys-5.6.5:5::gentoo  USE="debug* handbook" 0 KiB
[ebuild   R    ] kde-plasma/kdeplasma-addons-5.6.5:5::gentoo  USE="debug* -share" 0 KiB
[ebuild   R    ] kde-plasma/kmenuedit-5.6.5:5::gentoo  USE="debug* handbook hotkeys" 0 KiB
[ebuild   R    ] sys-devel/gcc-4.9.3:4.9.3::gentoo  USE="cxx debug* fortran (multilib) nptl openmp sanitize vtv (-altivec) (-awt) -cilk -doc (-fixed-point) -gcj -go -graphite (-hardened) (-libssp) -nls -nopie -nossp -objc -objc++ -objc-gc -regression-test -vanilla" 0 KiB
[ebuild   R    ] sys-libs/glibc-2.22-r4:2.2::gentoo  USE="debug* (multilib) -gd (-hardened) -nscd -profile (-selinux) -suid -systemtap -vanilla" 0 KiB
[ebuild   R    ] dev-db/mariadb-10.0.27:0/18::gentoo  USE="debug* openssl pam perl server static-libs xml -bindist -embedded -extraengine -jdbc -jemalloc -latin1 (-libressl) -odbc -oqgraph -profiling (-selinux) -sphinx -static -systemtap -tcmalloc {-test} -tokudb -yassl" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] sys-devel/llvm-3.7.1-r3:0/3.7.1::gentoo  USE="debug* libffi ncurses static-analyzer xml -clang -doc -gold -libedit -lldb -multitarget -ocaml -python {-test}" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7" VIDEO_CARDS="radeon" 0 KiB
[ebuild   R    ] media-libs/mesa-12.0.1::gentoo  USE="classic debug* dri3 egl gallium gbm llvm nptl udev wayland -bindist -d3d9 -gles1 -gles2 -opencl -openmax -osmesa -pax_kernel -pic (-selinux) -vaapi -valgrind -vdpau -xa -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="intel nouveau radeon radeonsi (-freedreno) -i915 -i965 -ilo -r100 -r200 -r300 -r600 (-vc4) -vmware" 0 KiB
[ebuild   R    ] kde-frameworks/kwayland-5.23.0:5/5.23::gentoo  USE="debug* {-test}" 0 KiB
[ebuild   R    ] kde-plasma/libkscreen-5.6.5-r1:5/7::gentoo  USE="X debug* {-test}" 0 KiB
[ebuild   R    ] kde-plasma/kscreenlocker-5.6.5:5::gentoo  USE="debug* pam {-test}" 0 KiB
[ebuild   R    ] kde-plasma/plasma-integration-5.6.5:5::gentoo  USE="debug* {-test}" 0 KiB
[ebuild   R    ] kde-plasma/kwayland-integration-5.6.5:5::gentoo  USE="debug*" 0 KiB
[ebuild   R    ] kde-plasma/kwin-5.6.5-r1:5::gentoo  USE="debug* handbook -gles2 -multimedia {-test}" 0 KiB
[ebuild   R    ] kde-plasma/powerdevil-5.6.5:5::gentoo  USE="debug* handbook -systemd" 0 KiB
[ebuild   R    ] kde-plasma/kscreen-5.6.5-r1:5::gentoo  USE="debug* {-test}" 0 KiB
[ebuild   R    ] kde-apps/spectacle-16.04.3:5::gentoo  USE="debug* handbook kipi -share" 0 KiB
[ebuild   R    ] kde-plasma/plasma-desktop-5.6.5:5::gentoo  USE="debug* fontconfig handbook pulseaudio -gtk2 -gtk3 -ibus -legacy-systray (-packagekit) -qt4 -scim {-test}" INPUT_DEVICES="evdev -synaptics" 0 KiB
[ebuild   R    ] kde-plasma/plasma-meta-5.6.5:5::gentoo  USE="bluetooth display-manager gtk handbook networkmanager pam pulseaudio* sddm wallpapers -grub -mediacenter -plymouth -sdk" 0 KiB

Total: 22 packages (2 upgrades, 1 in new slot, 19 reinstalls), Size of downloads: 0 KiB

Would you like to merge these packages? [Yes/No] n
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6  Next
Page 2 of 6

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum